/*
 *--- PHandleQuery.h ------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Thu, Oct 12, 1995 @ 10:00 PM by Paul Ferguson.
 *
 * Description:
 *-------------------------------------------------------------------------
 */
#ifndef __PHandleQuery__
#define __PHandleQuery__

#ifdef __MWERKS__
#pragma once
#endif

#include "PMTypes.h"
#include "PQuery.h"

class PRequestBuf;

class PHandleQuery
{

protected:

	PHandleQuery();
	PHandleQuery(const ePMQuery op);
	PHandleQuery(ePMQuery op, PRequestBuf& request);

	~PHandleQuery();

	void			InitHandle();

	PMHandle		itsHandle;
	const char *	replyPtr;
};

#endif

// end of PHandleQuery.h
